package com.mosty.yjzl.service;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.mosty.base.model.query.yjzl.TbYjmxCsbQuery;
import com.mosty.base.model.vo.yjzl.TbYjmxCsbVo;
import io.swagger.annotations.ApiOperation;

public interface TbYjmxCsbService {

    /**
     * 新增
     * @param csb
     */
    int insert(TbYjmxCsbVo csb);


    /**
     * 查询
     * @param id
     * @return
     */
    TbYjmxCsbVo queryById(String id);

    /**
     * 根据ID删除
     * @param id
     * @return
     */
    int deleteById(String id);

    @ApiOperation("分页查询")
    IPage<TbYjmxCsbVo> getPage(TbYjmxCsbQuery dto);

    @ApiOperation("编辑")
    int updateById(TbYjmxCsbVo clVo);
}


